%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-mpi4py
Version:       4.0.0
Release:       1mamba
Summary:       Python bindings for MPI
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mpi4py/mpi4py/
Source:        https://pypi.debian.net/mpi4py/mpi4py-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmpi-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n mpi4py-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}.dist-info
%{python_sitearch}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitearch}/%{pkgname}
%{python_sitearch}/%{pkgname}/*

%changelog
* Mon Jul 29 2024 Automatic Build System <autodist@openmamba.org> 4.0.0-1mamba
- automatic version update by autodist

* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.6-1mamba
- package created using the webbuild interface
